{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      
      "identifier": "mythicus_im:hdc.trashcan",
      "spawn_egg": {
        "base_color": "#288483",
        "overlay_color": "#2B7135"
      },
      
      "materials": {
        "default": "entity_alphatest",
        "block_outline": "entity_alphatest"
      },
      "textures": {
        "default": "textures/mythicus/hdc/invis",
        "block_outline": "textures/mythicus/hdc/block/outline/dynamic"
      },
      "geometry": {
        "default": "geometry.mythicus_im.invis",
        "block_outline": "geometry.mythicus_im.hdc.block.outline.dynamic"
      },

      "scripts": {
        "initialize": [

          "v.bo_size_x = 12.01;",
          "v.bo_size_y = 16;",
          "v.bo_size_z = v.bo_size_x;",
          "v.bo_size_o = -0.01 + 0.02 * q.distance_from_camera;",

          "v.bo_visible = 0;"

        ],
        "pre_animation": [
          
          "v.bo_size_o = -0.01 + 0.02 * q.distance_from_camera;"
          
        ],
        "animate": [
          "block.outline.root",
          { "block.outline": "v.bo_visible" }
        ]
      },

      "animations": {
        "block.outline.root": "controller.animation.mythicus_im.hdc.block.outline.root",
        "block.outline": "animation.mythicus_im.hdc.block.outline.root"
      },

      "render_controllers": [
        "controller.render.mythicus_im.default",
        { "controller.render.mythicus_im.block.outline": "v.bo_visible" }
      ]

    }
  }
}